Substy Developers
Team

Get employee timesheet

Read one employee's timesheet between calendar dates interpreted in that employee's timezone.

GET/v1/agencies/{agencyId}/team/employees/{employeeId}/timesheet

Read one employee's timesheet between calendar dates interpreted in that employee's timezone.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

agencyId*string
Length1 <= length
employeeId*string

Query Parameters

from*string
to*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/agencies/string/team/employees/string/timesheet?from=string&to=string" \  -H "Authorization: Bearer YOUR_API_KEY"
{  "data": {    "employeeId": "string",    "timezone": "string",    "hourlyWage": 0,    "totalHours": 0,    "totalPay": 0,    "days": [      {        "date": "string",        "hours": 0,        "pay": 0,        "sessions": [          {            "id": "string",            "segmentId": "string",            "startedAt": "2019-08-24T14:15:22Z",            "endedAt": null,            "segmentStartedAt": "2019-08-24T14:15:22Z",            "segmentEndedAt": "2019-08-24T14:15:22Z",            "source": "MANUAL",            "note": null,            "editedByEmployeeId": null,            "hours": 0          }        ]      }    ]  },  "meta": {    "requestId": "string"  }}